# Security Policy

## Supported Version

The only version that is supported by Trojan-GFW is the latest version.

## Reporting a Vulnerability

To report a vulnerability, please contact GreaterFire@protonmail.com. You can make it secure by encrypting with PGP:

```
-----BEGIN PGP PUBLIC KEY BLOCK-----
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=Z2PM
-----END PGP PUBLIC KEY BLOCK-----
```
